# Release notes

## Version 7.0.24 - 2025-04-26

- Bug fixes (see mercurial logs for details)

## Version 7.0.23 - 2025-04-02

- Bug fixes (see mercurial logs for details)

## Version 7.0.22 - 2025-03-04

- Bug fixes (see mercurial logs for details)

## Version 7.0.21 - 2025-02-16

- Bug fixes (see mercurial logs for details)

## Version 7.0.20 - 2025-01-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.19 - 2024-12-16

- Bug fixes (see mercurial logs for details)

## Version 7.0.18 - 2024-12-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.17 - 2024-11-06

- Bug fixes (see mercurial logs for details)

## Version 7.0.16 - 2024-10-18

- Bug fixes (see mercurial logs for details)

## Version 7.0.15 - 2024-10-05

- Bug fixes (see mercurial logs for details)

## Version 7.0.14 - 2024-09-16

- Bug fixes (see mercurial logs for details)

## Version 7.0.13 - 2024-09-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.12 - 2024-08-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.11 - 2024-07-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.10 - 2024-05-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.9 - 2024-04-17

- Bug fixes (see mercurial logs for details)

## Version 7.0.8 - 2024-04-04

- Bug fixes (see mercurial logs for details)

## Version 7.0.7 - 2024-03-03

- Bug fixes (see mercurial logs for details)

## Version 7.0.6 - 2024-02-15

- Bug fixes (see mercurial logs for details)

## Version 7.0.5 - 2024-01-15

- Bug fixes (see mercurial logs for details)

## Version 7.0.4 - 2024-01-01

- Bug fixes (see mercurial logs for details)

## Version 7.0.3 - 2023-12-16

- Bug fixes (see mercurial logs for details)

## Version 7.0.2 - 2023-11-17

- Bug fixes (see mercurial logs for details)

## Version 7.0.1 - 2023-11-03

- Bug fixes (see mercurial logs for details)

## Version 7.0.0 - 2023-10-30

- Bug fixes (see mercurial logs for details)

- Add support for Python 3.12

- Support create record from autocomplete

- Support scanning code

- Reset search offset when domain has changed

- Add a canonicalize function for domains

- Support PYSON comparison of timedelta

- Support encoding timedelta into PYSON TimeDelta

- Transfer configuration, profiles and plugins from previous version

- Eagerly read string value of multiselection fields

- Use locale timezone for CSV in locale format

- Display sum on column header

## Version 6.8.0 - 2023-05-01

- Bug fixes (see mercurial logs for details)

- Include events to logs

- Add option to disable thread

- Remove support for Python 3.7

- Add support for Python 3.11

- Save and Restore tree state on List Form

- Do record (pre)validation and saving on selection change for list-form views

- Eagerly read string value of selection fields

- Do not select first record by default

- Use `&` and `|` as boolean operator in search widget

- Use toggle button and label on translate dialog

- Manage domain on id in single value list as unique

- Do not validate domain nor enforce uniqueness for empty fields unless they’re required or invisible

- Display the number of selected records on xxx2Many

## Version 6.6.0 - 2022-10-31

- Bug fixes (see mercurial logs for details)

- Support authentication services

## Version 6.4.0 - 2022-05-02

- Bug fixes (see mercurial logs for details)

- Use unittest discover

- Support notification message

- Add option to define logging output location

- Remove TreeViewControl

- Manage optional column

- Default CSV encoding to UTF8 with BOM

- Display the number of selected records

- Humanize the count result

- Add limit to search_count

- Call view_get for board view

- Limit board action domain to active id and ids

- Add support for Python 3.10

- Remove support for Python 3.6

- Manage creatable attribute of view

## Version 6.2.0 - 2021-11-01

- Bug fixes (see mercurial logs for details)

- Support grouping attribute

- Support monetary and symbol field attributes

- Support digits from relation field

- Allow PYSON Expression as key for PYSON In with dict object

- Support Binary field in CSV import/export

## Version 6.0.0 - 2021-05-03

- Bug fixes (see mercurial logs for details)

- Support printing zip archive

- Add direct print to UNIX

- Add attachment preview

- Support document widget

- Support icon of type URL

- Allow sending email with existing attachments

- Add paths and model context to action data

- Add indentation in CSV export of tree

- Manage which records to use for actions

- Handle device cookie

- Add breadcrumb as title of window form

- Display revision on dialog

- Execute report asynchronously

- Add support for Python 3.9

- Support empty value for timedelta converter

- Add interactive search on tree view

- Unify PYSON string format

## Version 5.8.0 - 2020-11-02

- Bug fixes (see mercurial logs for details)

- Remove support for Python 3.5

- Format timedelta in CSV export

- Manage symbol widget

- Fallback to model name as title

- Manage deletable and writable state

- Support e-mail template

- Send e-mail via the server

- Support PYSON comparison of date and datetime

- Position copied records based on order

- Allow configuration of default colors for graph and calendar

- Use existing context for get_preferences

- Add context to export URL

## Version 5.6.0 - 2020-05-04

- Bug fixes (see mercurial logs for details)

- Support link button on form

- Add URL for the current export

- Add option to export listed records

- Retire App Menu

- Add support for Python 3.8

- Manage readonly dates in calendar view

- Manage editable on calendar view

- Manage model access on calendar view

- Set client title at the end of header bar

- Manage named separator as label

- Add MultiSelection entry to Dict field

- Position new record based on order

- Allow relation field to be selected in CSV export

- Support validate attribute of wizard’s Button

## Version 5.4.0 - 2019-11-04

- Bug fixes (see mercurial logs for details)

- Support visual context on tree view

- Support multiselection field

- Support dot notation on PYSON Eval

- Order Dict keys by sequence

- Support relation fields in domain parser

- Add Dict widget for tree view

- Add handle to reordable line of tree views

## Version 5.2.0 - 2019-05-06

- Bug fixes (see mercurial logs for details)

- Add domain inversion for reference fields

- Add list-form view

- Remove support for Python 3.4

- Replace ColorSelectionDialog by ColorChooserDialog

- Support HTML widget

- Use locale format for data import and export

- Add day view on calendar

- Add CSV exports into print toolbar

- Display unread and total of notes

- Support badge on icon

- Use resources method

- Replace Arrow by Image

- Remove Fast Tabbing option

- Remove usage of focus_chain

- Add shortcuts for switch and remove on One2Many

- Rename roundup.url configuration to bug.url

- Remove send error to bug tracker

- Replace Table by Grid

- Use separate XML parser in Views

- Use between numbers in filter box

- Rename email and calendar file

- Use markup for styling

- Replace ImageMenuItem by MenuItem

- Replace ComboBoxEntry by ComboBox or ComboBoxText

- Replace GObject.idle_add by GLibe.idle_add

- Remove positional arguments for PyGObject

- Remove pygtkcompat

- Implement Reference cell with Selection and Many2One cells

- Replace CellRendererBinary with clickable pixbuf cells

- Allow cell to have multiple renderers

- Fill ‘to’ with ‘from’ value on filter box

- Add tab domain in URL

- Use Popover for search filter

- Display version on login dialog

- Use tab key for tab navigation

- Use ShortcutsWindow

- Improve default size of widgets and dialog

- Use record and field properties of widget instead of method arguments

- Reduce offset when no search result

- Ensure URL scheme of bus (issue7792)

- Add drag & drop support on binary widget

## Version 5.0.0 - 2018-10-01

- Bug fixes (see mercurial logs for details)

- Use dropdown for attachment

- Apply factor on domain parser

- Use tab name in CSV Export/Import

- Add bus management

- Use CSS to style label

- New icons

- Support timestamp field

- Add support for Python 3.7

- Use GtkApplication

- Validate dictionary items

- Add (i)like support to domain inversion

- Use Python 3

- Improve loading strategy by using views

- Use non conflicting keyboard shortcuts in sync with sao

- Use the context to get the suffix of window name

- Call on_change methods after setting default dtstart on calendar view

## Version 4.8.0 - 2018-04-23

- Bug fixes (see mercurial logs for details)

- Manage active field on search widget

- Reset record to its original state when discarding the popup window

- Add support of expand attribute on group tag

- Add the context model name in the screen context

- Use limit to expand tree

- Add keyword attribute to button tag

- Support field name on image tag

- Add option to check new version

- Show related record names for all windows

- Remove support of GTK+ 2.0

- Add icons on Many2One in editable tree

- Use translated values when exporting Reference and Selection fields

## Version 4.6.0 - 2017-10-30

- Bug fixes (see mercurial logs for details)

- Allow to export model and record name of Reference fields

- Re-position buttons on Binary/Image widget

- Improve treeview headers

- Update states of both toolbar and menu

- Improve toolbar order

- Make readonly, required and invalid widget themable

- Load user CSS theme

- Use profile name or login details in title

## Version 4.4.0 - 2017-05-01

- Bug fixes (see mercurial logs for details)

- Verify certificate with default CA

- Replace URL entry by a toolbar button

## Version 4.2.0 - 2016-11-28

- Bug fixes (see mercurial logs for details)

- Add support for GTK+ 3.0

- Add PYSON Widget

- Show records names in wizard title

- Add support for datetime_field to Reference

- Show non editable widget as insensitive

- Move info-bar at the bottom

- Manage readonly on fields translation dialog

- Restore tab default order when no manual change

- Call autocompletion when setting record value

- Remove database management

- Limit readonly state for xxx2Many

- Show records names in relate window title

- Add support for count on Action Window Domains

- Manage custom login process

- Add clear icon on Many2One

- Re-position icons on Many2One widget

## Version 4.0.0 - 2016-05-02

- Bug fixes (see mercurial logs for details)

- Improvement of charts design

- Timedelta uses 30 days for month

- Add all available encoding for import/export

- Add CSV parameters to export window

- Add DnD on import window

- Manage context model of ir.action.act_window

- Add Note

- Manage view_ids on tree view

- Use Apple key for copy/past of list

## Version 3.8.0 - 2015-11-02

- Bug fixes (see mercurial logs for details)

- Use italic labels for editable fields

- Escape ‘_’ in button string and page string

- Export selected records only

- Use HTML for RichText widget

- Change Progressbar to work with float between 0 and 1

- Add Fast Tabbing option

- Remove colors on widgets

- Bold label of required fields

- Explicit error message for invalid record

- Add reversed operators to PYSON expressions

## Version 3.6.0 - 2015-04-20

- Bug fixes (see mercurial logs for details)

- Hide columns containing always the same value

- Remove Tabs Position option

- Manage product attribute

- Remove float_time widget

- Add TimeDelta field

- Improve date/time widgets

- Remove datetime widget on list/tree view

- Allow to put many times the same field on tree view

- Add search completion on dictionary widget

- Merge host and port field in profile editor

- New color scheme for graph

- Replace img_{width,height} by width and height attributes

## Version 3.4.0 - 2014-10-20

- Bug fixes (see mercurial logs for details)

- Add DnD on export window

- Allow to overide predefined export

- Prefill export window with current view fields

- Manage field context on Group value

- Add export of selection string

- Load plugins from local user directory

- Manage tree_state attribute

- Add simple tree_state support on form view

- Change range operator of search widget to be included

- Explicitly set value of parent field

## Version 3.2.0 - 2014-04-21

- Bug fixes (see mercurial logs for details)

- Add option to show revisions

- Add a multi selection widget for many2many

- Remove auto-refresh

- Add support of domain for non-relation field

- Allow drag & drop on the attachment button

- Replace sha widget by password

- Add Len to PYSON

- Use a pool of connection

- Manage client actions from button and wizard

- Add tree_invisible attribute to button in tree view

- Add buttons of the view in actions menu

- Don’t evaluate anymore relate action with the record

- Paste on editable list create new records if needed

- Drop support of Python 2.6

- Allow to search on rec_name of Reference fields

- Use local timezone

- Sanitize report file extension

## Version 3.0.0 - 2013-10-21

- Bug fixes (see mercurial logs for details)

- Add factor on number widgets

- Add calendar view

- Add URL entry

- Remove request

## Version 2.8.0 - 2013-04-22

- Bug fixes (see mercurial logs for details)

- Manage dynamic label

- Manage prefix, suffix on tree view

- Manage selection_change_with on Selection and Reference fields

- Add Dict fields on form

- Remove Goto

- Add global search

- Add toggle button for menu

- Replace shortcuts by menu favorites

- Move Plugins into toolbar Actions

- Add url to list view

- Add dynamic icon for url

- Add completion on Many2One, Many2Many and One2Many

- Add bookmark on search widget

- Manage domains on Action Window

- Use range for Date/Time fields in filter box

- Allow multi-selection for Selection field in filter box

## Version 2.6.0 - 2012-10-22

- Bug fixes (see mercurial logs for details)

- Allow to paste in editable list view

- Manage readonly state on group

- Remove “Please wait” box

- Refactorize date widgets

- Manage tuple on Reference

- Add constant interpolation on line graph

- Make Import/Export Data no-modal

- Deactivate switch view button when there is only 1 view

- Manage create/delete field access

- Add dynamic size limit on the One2Many, Many2Many and Char

- Search only on fields in XML view

- Cache action keyword

- Always use cached views

- Manage model access

- Manage time format

- Deactivate attachment button when record is not created

## Version 2.4.0 - 2012-04-23

- Bug fixes (see mercurial logs for details)

- Remove workflow

- Improve contextual menu:

    - Actions for all relation fields on list view

    - Use icons

    - Add attachments entry

- Use RPCProgress almost everywhere

- Add a simple search box

- New domain parser using shlex

- Better translation dialog box

- Add the richtext widget for WYSIWYG Editor on text fields

- Add a record pool to prefetch more records

- Add Time widget

- Add support for fuzzy_translation

- Activate save button on editing

- Refactor set/get and set/get_client of fields

- Display binary size alongside the buttons in treeview

- Set correctly the focus on tab switching

- Add shortcut to focus search entry

- Add binary field to tree views

- Improve board view:

    - use the same search widget as form

    - link double click to open popup

## Version 2.2.0 - 2011-10-24

- Bug fixes (see mercurial logs for details)

- New search widget

- Improve memory management of Binary fields

- Support buffer for Binary fields

- Remove delete on Escape in editable tree

- Use JSON-RPC

- Limit size of field when possible

- Add xalign and yalign as fields attributes

- Convert many popup to be no-modal

- Add window manager for:

    - replace current window

    - prevent simmilar window

- Merge and review toolbars in form and board

- Drop support of Python 2.5

- Use the same design for Many2Many than One2Many

- Allow resize columns smaller than the header

## Version 2.0.0 - 2011-04-26

- Bug fixes (see mercurial logs for details)

- Popup form dialog has 3 buttons (close, ok, new)

- New UI layout

- Add DnD on tree view

- Merge tree and list views

- Remove generic default value on right-click

- Made numpad locale aware

- Selection widget used for many2one dynamically change their content following the domain specification

- Add open button on binary and image widgets

- Hide buttons on image widget if readonly

- Added a connection manager à la gajim

- Fix warning in wizards

- Added possibility to use server-side icons

- Added additional gtk.Entry for filename on BinaryField

- Display deleted lines in One2Many and Many2Many

- Handle URL

- Add communication between boards

- Added domain inversion feature

- Handle loading attribute on fields

- Use default format for value in wizard form

- Add One2One field

## Version 1.8.0 - 2010-11-01

- Bug fixes (see mercurial logs for details)

- More fully integrate GTK menubar for Mac OS

- Allow to configure search limit

- Add Previous/Next on list view

- Set non-applicable form controls in one2many view to be insensitive

## Version 1.6.0 - 2010-05-08

- Bug fixes (see mercurial logs for details)

- Don’t stop wizard execution when exception occurs

- Use ir.attachment view instead of a custom one

- Add fingerprint and CA check for SSL connection

- Use lazy load in Import/Export windows

- Validate record before switching view

- Refactoring:

    - Better naming in model

    - Group extends list

    - Add an index to Group

    - New common windows for dialog of many2one, one2many and many2many

    - one2many and many2many dialog use the same screen than the widget

    - Reduce the number of option in Screen

    - Remove RPCProxy to handle logout exception on every server call

    - Better naming of event signals

    - Fix on_change detection for many2many for issue1400

- Add PySON to replace python string evaluation

- Don’t show “Spell Checking” option if gtkspell is not present

- Use the same internal model for many2many and one2many fields

- Remove egenix-mx-base and replace it by python-dateutil

- Add cache to safe_eval

- Use versioned configuration directory

- Next and Previous scroll per page on list and don’t loop

- Add AccelGroup on search windows (CTRL+Return)

- Use same keyboard shortcut for xxx2many than for other fields

## Version 1.4.0 - 2009-10-19

- Bug fixes (see mercurial logs for details)

- Handle datetime_field in xxx2Many

- Add new safe_eval

- Ask previous password for set_preferences on password change

- Add “Statusbar” option

- Add default filename for database backup

- Add checkbox on restore to update database

- Add ‘login.host’ options to hide server connection

- Handle required attribute with local domains

- Allow to run wizard in tabs

- Remove statusbar on form for more space

- Add “Change Accelerators” option

- Use gzip in pysocket

- Use the report name to create the temporary file to open it

- Allow to store wizard size

- Add reset default on fields

- Store in config default width and height of main window

- Added arrow navigation if supported by gtk

- Add ‘starts with’ and ‘ends with’ on char search

- Handle domain with ‘=’ or ‘!=’ as operator on selection

- Extend fields domain with local domains

- Improve float time widget to handle year, month, week and day and handle float_time attribute for contextual time convertion

## Version 1.2.0 - 2009-04-20

- Bug fixes (see mercurial logs for details)

- Make graph works also with datetime

- Add edition on Many2Many

- Fix open in csv export to use file actions

- Update client labels at language change

- Handle datetime_field in Many2One

- Set readonly on records with _datetime in the context

- Display values of reference fields even if there is no model

- Allow to directly print or create email with reports

- Handle invisible states on list view

- Add user warnings

- Add Model in logs

- Allow to duplicate many records at once

- Improve netrpc communication speed

- Improve date widget to display mask only when having focus

- Fix for host with IPv6 enable but without default IPv6 route

- Add desktop entry

- Add win32 single executable

- Allow egg installation

## Version 1.0.0 - 2008-11-17

- Initial release